//
// iargv.cpp : Defines the entry point for the console application.
// C++ program illustrates how to read an integer
// into the program with a command-line argument.
// Copyright (c) Chris H. Pappas and William H. Murray, 2001
//

#include "stdafx.h"
#include <iostream>
#include <cstdlib>

using namespace std;

void vbinary(int idigits);

int main(int argc, char* argv[])
{
  int ivalue;

  if( argc != 2 ) {
    cout << "Enter a decimal number on the command line.\n";
    cout << "It will be converted to binary, octal and\n";
    cout << "hexadecimal.\n";
    exit(1);
  }

  ivalue = atoi(argv[1]);
  vbinary(ivalue);
  cout << "The octal value is: " << oct
       << ivalue << endl;
  cout << "The hexadecimal value is: " 
       << hex << ivalue << endl;

  return (0);
}

void vbinary(int idigits)
{
  int t = 0;
  int iyourarray[50];

  while (idigits != 0) {
    iyourarray[t]=(idigits % 2);
    idigits /= 2;
    t++;
  }

  cout << "The binary value is: ";
  for(--t; t >= 0; t--)
    cout << dec << iyourarray[t];
    cout << endl;
}