//
// double.cpp : Defines the entry point for the console application.
// C++ program illustrates the double function type.
// Function receives integers from 0 to 90, one at a
// time, and returns the cosine of each, one at a time.
// Copyright (c) Chris H. Pappas and William H. Murray, 2001
//

#include "stdafx.h"
#include <iostream>
#include <cmath>

using namespace std;

const double dPi = 3.14159265359;
double dtrigcosine(double dangle);

int main(int argc, char* argv[])
{
  double dcosine;

  for (int j = 0; j < 91; j++) {
    dcosine = dtrigcosine((double) j);
    cout << "The cosine of " << j 
         << " degrees is " << dcosine << endl;
  }

  return (0);
}

double dtrigcosine(double dangle)
{
  double dpartial;
  dpartial = cos((dPi/180.0)*dangle);
  return (dpartial);
}