//
// fargv.cpp : Defines the entry point for the console application.
// C++ program illustrates how to read float data types
// into the program with a command-line argument.
// Copyright (c) Chris H. Pappas and William H. Murray, 2001
//

#include "stdafx.h"
#include <iostream>
#include <cmath>
#include <cstdlib>

using namespace std;

const double dPi=3.14159265359;

int main(int argc, char* argv[])
{
  double ddegree;

  if( argc < 2 ) {
    cout << "Type several angles on the command line.\n";
    cout << "Program will calculate and print\n";
    cout << "the cosine of the angles entered.\n";
    exit(1);
  }

  for (int t = 1; t < argc; t++) {
    ddegree = (double) atof(argv[t]);
    cout << "The cosine of " << ddegree
         << "is " << cos((dPi/180.0)*ddegree) << endl;
  }

  return (0);
}